# QDragMoveEvent Class Reference

### [com.trolltech.qt.gui package]

Inherits QDropEvent.

### Constructor

- void QDragMoveEvent(QPoint pos, DropActions actions, QMimeData data, MouseButtons buttons, KeyboardModifiers modifiers, Type type)

### Constructor Properties

- prototype: The QDragMoveEvent prototype object

### Prototype Object Properties

The QDragMoveEvent prototype object inherits properties from the QDropEvent prototype object and also has the following properties.

- void accept(QRect r)
- QRect answerRect()
- void ignore(QRect r)

### Instance Properties

QDragMoveEvent objects have no special properties beyond those inherited from the QDragMoveEvent prototype object.